Name:		unifont
Version:	14.0.01
Release:	%mkrel 2
License:	GPLv2+ and GFDL
Url:		https://savannah.gnu.org/projects/unifont
Summary:	Tools and glyph descriptions in a very simple text format
Group:		System/Fonts/True type
Source0:	https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:	unifont.metainfo.xml

BuildRequires:	pkgconfig(fontutil)
BuildRequires:	fontforge
BuildRequires:	fontpackages-devel
BuildRequires:	texinfo
BuildRequires:	fontconfig
BuildRequires:	freetype-tools

%description
Unifont is a Unicode font with a glyph for every visible Unicode Basic
Multilingual Plane code point and more, with supporting utilities to
modify the font. This package contains tools and glyph descriptions.

%package	viewer
BuildArch:	noarch
Summary:	Graphical viewer for unifont

%description	viewer
A graphical viewer for unifont.

%package -n	fonts-ttf-%{name}
Summary: 	GNU Unifont glyphs
BuildArch:	noarch

%description -n	fonts-ttf-%{name}
GNU Unifont provides glyphs for every printable code point in the
Unicode 5.1 Basic Multilingual Plane (BMP).  The BMP occupies the
first 65,536 code points of the Unicode space, denoted as
U+0000..U+FFFF.

%prep
%setup -q
# Disable rebuilding during installation
sed -i 's/^install: .*/install:/' Makefile
sed -i 's/install -s/install/' src/Makefile

%build
# Makefile is broken with parallel builds
make CFLAGS='%{optflags}'
%make_build -C doc unifont.info

%install
%make_install USRDIR=%{_prefix} COMPRESS=0 TTFDEST='$(DESTDIR)%{_datadir}/fonts/%{name}'
find %{buildroot}/usr/share/unifont/ -type f \! -name %{name}.hex -delete
rm -rv %{buildroot}%{_datadir}/fonts/X11
rm -v %{buildroot}%{_datadir}/fonts/%{name}/*sample*
rm -v %{buildroot}%{_datadir}/fonts/%{name}/unifont_*csur*.ttf
install -p -m644 doc/unifont.info -D %{buildroot}%{_infodir}/unifont.info
install -Dm0644 %{SOURCE1} %{buildroot}%{_datadir}/appdata/unifont.metainfo.xml
# Remove APL font for now
rm %{buildroot}/usr/share/consolefonts/Unifont-APL8x16.psf.gz

mkdir -p %{buildroot}%{_datadir}/fonts/TTF/%{name}
mv %{buildroot}%{_datadir}/fonts/%{name}/*.ttf %{buildroot}%{_datadir}/fonts/TTF/%{name}/
ttmkfdir %{buildroot}/%{_datadir}/fonts/TTF/%{name} > %{buildroot}%{_datadir}/fonts/TTF/%{name}/fonts.dir
ln -s fonts.dir %{buildroot}%{_datadir}/fonts/TTF/%{name}/fonts.scale

mkdir -p %{buildroot}%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_datadir}/fonts/TTF/%{name} \
    %{buildroot}%{_sysconfdir}/X11/fontpath.d/ttf-%{name}:pri=50

%files
%{_bindir}/*
%{_datadir}/%{name}/
%doc NEWS README COPYING
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_infodir}/%{name}.info*
%exclude %{_bindir}/unifont-viewer
%{_datadir}/appdata/%{name}.metainfo.xml

%files viewer
%{_bindir}/unifont-viewer

%files -n fonts-ttf-%{name}
%dir %{_datadir}/fonts/TTF/%{name}
%{_datadir}/fonts/TTF/%{name}/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/%{name}/fonts.dir
%{_datadir}/fonts/TTF/%{name}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-%{name}:pri=50


%changelog
* Thu Mar 31 2022 umeabot <umeabot> 14.0.01-2.mga9
+ Revision: 1836280
- Mageia 9 Mass Rebuild

* Tue Nov 16 2021 luigiwalser <luigiwalser> 14.0.01-1.mga9
+ Revision: 1757332
- 14.0.01

* Sun Aug 08 2021 luigiwalser <luigiwalser> 13.0.06-1.mga9
+ Revision: 1740313
- 13.0.06

* Wed Dec 30 2020 luigiwalser <luigiwalser> 13.0.05-1.mga8
+ Revision: 1665936
- 13.0.05

* Wed Dec 02 2020 luigiwalser <luigiwalser> 13.0.04-1.mga8
+ Revision: 1651777
- 13.0.04

* Tue Dec 01 2020 martinw <martinw> 13.0.03-2.mga8
+ Revision: 1651264
- rebuild with fixed 'font(:lang=XX)' provides

* Wed Nov 18 2020 luigiwalser <luigiwalser> 13.0.03-1.mga8
+ Revision: 1647330
- 13.0.3

* Tue Feb 18 2020 umeabot <umeabot> 12.1.03-2.mga8
+ Revision: 1541970
- Mageia 8 Mass Rebuild

* Fri Jan 03 2020 luigiwalser <luigiwalser> 12.1.03-1.mga8
+ Revision: 1475796
- 12.1.03
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Mar 30 2019 luigiwalser <luigiwalser> 12.0.01-1.mga7
+ Revision: 1382043
- 12.0.01

* Sun Sep 23 2018 umeabot <umeabot> 10.0.06-2.mga7
+ Revision: 1301522
- Mageia 7 Mass Rebuild

* Sat Oct 14 2017 zezinho <zezinho> 10.0.06-1.mga7
+ Revision: 1171784
- new version

* Sat Dec 31 2016 luigiwalser <luigiwalser> 9.0.06-1.mga6
+ Revision: 1078930
- 9.0.06

* Sat Nov 12 2016 luigiwalser <luigiwalser> 9.0.04-1.mga6
+ Revision: 1066762
- 9.0.04

* Sat Sep 10 2016 luigiwalser <luigiwalser> 9.0.02-1.mga6
+ Revision: 1051242
- 9.0.02

* Wed Aug 10 2016 luigiwalser <luigiwalser> 9.0.01-1.mga6
+ Revision: 1045353
- 9.0.01
- update unifont.metainfo.xml from fedora

* Wed Feb 17 2016 umeabot <umeabot> 8.0.01-2.mga6
+ Revision: 963162
- Mageia 6 Mass Rebuild

* Fri Jul 31 2015 luigiwalser <luigiwalser> 8.0.01-1.mga6
+ Revision: 859918
- 8.0.01 (mga#16312)
- resync package with fedora and omdv
- rename from fonts-ttf-unifont to unifont
- unifont is source name, fonts-ttf-unifont is a subpackage

* Wed Oct 15 2014 umeabot <umeabot> 6.3.20131006-4.mga5
+ Revision: 743786
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3.20131006-3.mga5
+ Revision: 679289
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 6.3.20131006-2.mga4
+ Revision: 542396
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 luigiwalser <luigiwalser> 6.3.20131006-1.mga4
+ Revision: 497504
- 6.3.20131006 (mga#11461)

* Fri Jan 11 2013 umeabot <umeabot> 5.1.20080907-2.mga3
+ Revision: 350729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 08 2012 shlomif <shlomif> 5.1.20080907-1.mga3
+ Revision: 268906
- imported package fonts-ttf-unifont

